Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
logging::LogChunk Struct Reference

A log chunk. More...

## Public Attributes
long | logCreationTime
| Creation time of log at chunk generation (monotonic clock timestamp)
int | idFirst
| Id of first entry in the chunk.
int | allEntryCnt
| Count of all entries in the chunk.
vector< LogEntry > | selEntries
| Selected entries of the chunk.

## Detailed Description

A log chunk.

Definition at line 100 of file Log.idl.

## Member Data Documentation

## ◆ allEntryCnt

int logging::LogChunk::allEntryCnt

Count of all entries in the chunk.

Definition at line 103 of file Log.idl.

## ◆ idFirst

int logging::LogChunk::idFirst

Id of first entry in the chunk.

Definition at line 102 of file Log.idl.

## ◆ logCreationTime

long logging::LogChunk::logCreationTime

Creation time of log at chunk generation (monotonic clock timestamp)

Definition at line 101 of file Log.idl.

## ◆ selEntries

vector<LogEntry> logging::LogChunk::selEntries

Selected entries of the chunk.

Definition at line 104 of file Log.idl.

The documentation for this struct was generated from the following file:

- Log.idl